#include <types.h>
#include <unistd.h>
#include <osbind.h>
#include <mintbind.h>
#include <errno.h>

extern int __mint;
extern gid_t __gid;

int
setgid(x)
  int x;
{
  long r;

  if (__mint) {
    r = Psetgid(x);
    if (r < 0) {
      errno = (int) -r;
      return -1;
    }
    return 0;
  }
  __gid = x;
  return 0;
}

