#include <types.h>
#include <unistd.h>
#include <osbind.h>
#include <mintbind.h>
#include <errno.h>

extern int __mint;
extern uid_t __uid;

int
setuid(x)
  int x;
{
  long r;

  if (__mint) {
    r = Psetuid(x);
    if (r < 0) {
      errno = (int) -r;
      return -1;
    }
    return 0;
  }
  __uid = x;
  return 0;
}
